import sys

from setuptools import find_packages, setup  # type: ignore
from pathlib import Path


version = ""
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

if len(sys.argv) > 1:
    for arg in sys.argv:
        if arg.startswith("--version="):
            version += arg.split("=")[1]
            sys.argv.remove(arg)

setup(
    name="vista-gateway-client",
    version=version,
    author="DNV AS",
    author_email="software.support@dnv.com",
    description="Configured client for ISO 19848 protocols and package types.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    # url="https://github.com/dnv-opensource/vista-sdk",
    license="MIT",
    packages=find_packages(),
    include_package_data=True,
    package_data={
        "vista_gateway_client.resources": ["*.json"],
    },
    keywords=["vista", "iso19848"],
    install_requires=[
        "python-jsonschema-objects>=0.5.5", "jsonschema>=4.22.0"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",
)
